| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | List of all members
Gaudi::IIODataManager Class Referenceabstract

`#include <GaudiUtils/IIODataManager.h>`

Inheritance diagram for Gaudi::IIODataManager:
[legend]
Collaboration diagram for Gaudi::IIODataManager:
[legend]

## Public Types
enum | FileType { UNKNOWN = 1, PFN, LFN, FID }
typedef IDataConnection | Connection
| Connection type definition. More...
typedef std::vector< Connection * > | Connections
typedef Connection::IoType | IoType
Public Types inherited from IInterface
enum | Status : StatusCode::code_t { Status::FAILURE = 0, Status::SUCCESS = 1, Status::NO_INTERFACE, Status::VERSMISMATCH, Status::LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...

## Public Member Functions
| DeclareInterfaceID (IIODataManager, 2, 0)
| InterfaceID. More...
virtual StatusCode | connectRead (bool keep_open, IDataConnection *con)=0
| Open data stream in read mode. More...
virtual StatusCode | connectWrite (IDataConnection *con, IoType mode=Connection::CREATE, const std::string &doctype="UNKNOWN")=0
| Open data stream in write mode. More...
virtual StatusCode | disconnect (IDataConnection *con)=0
| Release data stream. More...
virtual Connection * | connection (const std::string &dsn) const =0
| Retrieve known connection. More...
virtual Connections | connections (const IInterface *owner) const =0
| Get connection by owner instance (0=ALL) More...
virtual StatusCode | read (IDataConnection *con, void *const data, size_t len)=0
| Read raw byte buffer from input stream. More...
virtual StatusCode | write (IDataConnection *con, const void *data, int len)=0
| Write raw byte buffer to output stream. More...
virtual long long int | seek (IDataConnection *con, long long int where, int origin)=0
| Seek on the file described by ioDesc. Arguments as in ::seek() More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Author
  M.Frank

Version
  1.0

Date
  20/10/2007

Author
  M.Frank

Version
  1.0

Date
  20/10/2007

Author
  R. Lambert

Date
  03/09/2009

Definition at line 88 of file IIODataManager.h.

## Member Typedef Documentation

## ◆ Connection

typedef IDataConnection Gaudi::IIODataManager::Connection

Connection type definition.

Definition at line 94 of file IIODataManager.h.

## ◆ Connections

typedef std::vector<Connection*> Gaudi::IIODataManager::Connections

Definition at line 95 of file IIODataManager.h.

## ◆ IoType

typedef Connection::IoType Gaudi::IIODataManager::IoType

Definition at line 96 of file IIODataManager.h.

## Member Enumeration Documentation

## ◆ FileType

enum Gaudi::IIODataManager::FileType

Enumerator
UNKNOWN |
PFN |
LFN |
FID |

Definition at line 97 of file IIODataManager.h.

97 { UNKNOWN = 1, PFN, LFN, FID };
Gaudi::IIODataManager::FID
Definition: IIODataManager.h:97
Gaudi::IIODataManager::LFN
Definition: IIODataManager.h:97
Gaudi::IIODataManager::PFN
Definition: IIODataManager.h:97
Gaudi::IIODataManager::UNKNOWN
Definition: IIODataManager.h:97

## Member Function Documentation

## ◆ connection()

virtual Connection* Gaudi::IIODataManager::connection | ( | const std::string & | dsn | ) | const
| pure virtual

Retrieve known connection.

## ◆ connections()

virtual Connections Gaudi::IIODataManager::connections | ( | const IInterface * | owner | ) | const
| pure virtual

Get connection by owner instance (0=ALL)

## ◆ connectRead()

virtual StatusCode Gaudi::IIODataManager::connectRead | ( | bool | keep_open,
|  | IDataConnection * | con
| ) |  |
| pure virtual

Open data stream in read mode.

## ◆ connectWrite()

virtual StatusCode Gaudi::IIODataManager::connectWrite | ( | IDataConnection * | con,
|  | IoType | mode = `Connection::CREATE`,
|  | const std::string & | doctype = `"UNKNOWN"`
| ) |  |
| pure virtual

Open data stream in write mode.

## ◆ DeclareInterfaceID()

Gaudi::IIODataManager::DeclareInterfaceID | ( | IIODataManager | ,
|  | 2 | ,
|  | 0 |
| ) |  |

InterfaceID.

## ◆ disconnect()

virtual StatusCode Gaudi::IIODataManager::disconnect | ( | IDataConnection * | con | ) |
| pure virtual

Release data stream.

## ◆ read()

virtual StatusCode Gaudi::IIODataManager::read | ( | IDataConnection * | con,
|  | void *const | data,
|  | size_t | len
| ) |  |
| pure virtual

Read raw byte buffer from input stream.

## ◆ seek()

virtual long long int Gaudi::IIODataManager::seek | ( | IDataConnection * | con,
|  | long long int | where,
|  | int | origin
| ) |  |
| pure virtual

Seek on the file described by ioDesc. Arguments as in ::seek()

## ◆ write()

virtual StatusCode Gaudi::IIODataManager::write | ( | IDataConnection * | con,
|  | const void * | data,
|  | int | len
| ) |  |
| pure virtual

Write raw byte buffer to output stream.

The documentation for this class was generated from the following file:

- GaudiUtils/GaudiUtils/IIODataManager.h